.router-link-exact-active {
    border-bottom: 2px solid #3366CC !important;


}

@mixin navbar {
    display: flex;
    position: absolute;
    top: 0px;
    width: 100%;

}

@mixin default-nav-properties {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    text-decoration: none;

}

@mixin topnav {
    display: flex;
    justify-content: space-around;
    width: 100%;

    a {
        float: left;
        color: #000000;
        padding: 14px 16px;
        font-size: 17px;
    }

    a:hover {
        background-color: #ddd;
        color: black;
    }

    a.active {
        background-color: #04AA6D;
        color: white;
    }
}

.navbar {
    @include navbar;
}

.topnav {
    @include topnav;
}


.main-logo {
    float: left;
    color: #000000;
    padding: 14px 16px;
    font-size: 17px;
}

.navbar .topnav .routes {
    @include default-nav-properties;

}




.fa-icon {
    width: 40px;
    height: 40px;
}

.routes .nav-item {
    display: flex;
    align-items: center;
}


.grid-container {
    display: grid;
    grid-template-columns: auto 1fr;
    align-items: center;
    gap: 10px;
}

.grid-container div span {
    display: block;
    /* makes the text wrap */
    text-align: left;
    /* aligns the text to the left */

}

@media screen and (max-width: 600px) {
    .topnav a:not(:first-child) {
        display: none;
    }

    .topnav a.icon {
        float: right;
        display: block;
    }
}

@media screen and (max-width: 600px) {
    .topnav.responsive {
        position: relative;
    }

    .topnav.responsive .icon {
        position: absolute;
        right: 0;
        top: 0;
    }

    .topnav.responsive a {
        float: none;
        display: block;
        text-align: left;
    }
}



/* Responsive design for smaller devices */
@media (max-width: 768px) {
    .navbar {
        width: 100%;
        left: 0;
        padding: 0 10px;
        height: 80px;
    }
}

@media (max-width: 480px) {
    .navbar {
        height: 60px;
        padding: 0 5px;
    }
}